Orxonox: orxonox::ArgumentCompleter Class Reference

# orxonox::ArgumentCompleter Class Reference

`#include <src/core/ArgumentCompleter.h>`

List of all members.

## Public Member Functions

| ArgumentCompleter (ArgumentCompletionList(*function)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4, const std::string &param5))
| ArgumentCompleter (ArgumentCompletionList(*function)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4))
| ArgumentCompleter (ArgumentCompletionList(*function)(const std::string &param1, const std::string &param2, const std::string &param3))
| ArgumentCompleter (ArgumentCompletionList(*function)(const std::string &param1, const std::string &param2))
| ArgumentCompleter (ArgumentCompletionList(*function)(const std::string &param1))
| ArgumentCompleter (ArgumentCompletionList(*function)(void))
ArgumentCompletionList | operator() (const std::string &param1="", const std::string &param2="", const std::string &param3="", const std::string &param4="", const std::string &param5="")

## Private Attributes

ArgumentCompletionList(* | function_0_ )(void)
ArgumentCompletionList(* | function_1_ )(const std::string &param1)
ArgumentCompletionList(* | function_2_ )(const std::string &param1, const std::string &param2)
ArgumentCompletionList(* | function_3_ )(const std::string &param1, const std::string &param2, const std::string &param3)
ArgumentCompletionList(* | function_4_ )(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4)
ArgumentCompletionList(* | function_5_ )(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4, const std::string &param5)
unsigned char | paramCount_

## Constructor & Destructor Documentation

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(void) | function | ) | `[inline]`

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(const std::string &param1) | function | ) | `[inline]`

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(const std::string &param1, const std::string &param2) | function | ) | `[inline]`

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(const std::string &param1, const std::string &param2, const std::string &param3) | function | ) | `[inline]`

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4) | function | ) | `[inline]`

orxonox::ArgumentCompleter::ArgumentCompleter | ( | ArgumentCompletionList(*)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4, const std::string &param5) | function | ) | `[inline]`

## Member Function Documentation

ArgumentCompletionList orxonox::ArgumentCompleter::operator() | ( | const std::string & | param1 = `""`,
|  | const std::string & | param2 = `""`,
|  | const std::string & | param3 = `""`,
|  | const std::string & | param4 = `""`,
|  | const std::string & | param5 = `""` |
| ) |  |  | `[inline]`

## Member Data Documentation

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_0_)(void)`[private]`

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_1_)(const std::string &param1)`[private]`

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_2_)(const std::string &param1, const std::string &param2)`[private]`

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_3_)(const std::string &param1, const std::string &param2, const std::string &param3)`[private]`

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_4_)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4)`[private]`

ArgumentCompletionList(* orxonox::ArgumentCompleter::function_5_)(const std::string &param1, const std::string &param2, const std::string &param3, const std::string &param4, const std::string &param5)`[private]`

unsigned char orxonox::ArgumentCompleter::paramCount_`[private]`

The documentation for this class was generated from the following file:

- src/core/ArgumentCompleter.h